Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.util
Class NativeErrcodes

    java.lang.Object
      org.mozilla.jss.util.NativeErrcodes

    public class NativeErrcodes

extends java.lang.Object

An enumeration of all error codes from NSS and NSPR. The integer values associated with each error code are subject to change, so DO NOT DEPEND ON THEM. Only use the symbolic names.

Field Summary
`static int` | `PR_ACCESS_FAULT_ERROR`
`static int` | `PR_ADDRESS_IN_USE_ERROR`
`static int` | `PR_ADDRESS_NOT_AVAILABLE_ERROR`
`static int` | `PR_ADDRESS_NOT_SUPPORTED_ERROR`
`static int` | `PR_ALREADY_INITIATED_ERROR`
`static int` | `PR_BAD_ADDRESS_ERROR`
`static int` | `PR_BAD_DESCRIPTOR_ERROR`
`static int` | `PR_BUFFER_OVERFLOW_ERROR`
`static int` | `PR_CONNECT_ABORTED_ERROR`
`static int` | `PR_CONNECT_REFUSED_ERROR`
`static int` | `PR_CONNECT_RESET_ERROR`
`static int` | `PR_CONNECT_TIMEOUT_ERROR`
`static int` | `PR_DEADLOCK_ERROR`
`static int` | `PR_DEVICE_IS_LOCKED_ERROR`
`static int` | `PR_DIRECTORY_CORRUPTED_ERROR`
`static int` | `PR_DIRECTORY_LOOKUP_ERROR`
`static int` | `PR_DIRECTORY_NOT_EMPTY_ERROR`
`static int` | `PR_DIRECTORY_OPEN_ERROR`
`static int` | `PR_END_OF_FILE_ERROR`
`static int` | `PR_FILE_EXISTS_ERROR`
`static int` | `PR_FILE_IS_BUSY_ERROR`
`static int` | `PR_FILE_IS_LOCKED_ERROR`
`static int` | `PR_FILE_NOT_FOUND_ERROR`
`static int` | `PR_FILE_SEEK_ERROR`
`static int` | `PR_FILE_TOO_BIG_ERROR`
`static int` | `PR_FILESYSTEM_MOUNTED_ERROR`
`static int` | `PR_FIND_SYMBOL_ERROR`
`static int` | `PR_GROUP_EMPTY_ERROR`
`static int` | `PR_HOST_UNREACHABLE_ERROR`
`static int` | `PR_ILLEGAL_ACCESS_ERROR`
`static int` | `PR_IN_PROGRESS_ERROR`
`static int` | `PR_INSUFFICIENT_RESOURCES_ERROR`
`static int` | `PR_INVALID_ARGUMENT_ERROR`
`static int` | `PR_INVALID_DEVICE_STATE_ERROR`
`static int` | `PR_INVALID_METHOD_ERROR`
`static int` | `PR_INVALID_STATE_ERROR`
`static int` | `PR_IO_ERROR`
`static int` | `PR_IO_PENDING_ERROR`
`static int` | `PR_IO_TIMEOUT_ERROR`
`static int` | `PR_IS_CONNECTED_ERROR`
`static int` | `PR_IS_DIRECTORY_ERROR`
`static int` | `PR_LOAD_LIBRARY_ERROR`
`static int` | `PR_LOOP_ERROR`
`static int` | `PR_MAX_DIRECTORY_ENTRIES_ERROR`
`static int` | `PR_NAME_TOO_LONG_ERROR`
`static int` | `PR_NETWORK_DOWN_ERROR`
`static int` | `PR_NETWORK_UNREACHABLE_ERROR`
`static int` | `PR_NO_ACCESS_RIGHTS_ERROR`
`static int` | `PR_NO_DEVICE_SPACE_ERROR`
`static int` | `PR_NO_MORE_FILES_ERROR`
`static int` | `PR_NO_SEEK_DEVICE_ERROR`
`static int` | `PR_NOT_CONNECTED_ERROR`
`static int` | `PR_NOT_DIRECTORY_ERROR`
`static int` | `PR_NOT_IMPLEMENTED_ERROR`
`static int` | `PR_NOT_SAME_DEVICE_ERROR`
`static int` | `PR_NOT_SOCKET_ERROR`
`static int` | `PR_NOT_TCP_SOCKET_ERROR`
`static int` | `PR_OPERATION_ABORTED_ERROR`
`static int` | `PR_OPERATION_NOT_SUPPORTED_ERROR`
`static int` | `PR_OUT_OF_MEMORY_ERROR`
`static int` | `PR_PENDING_INTERRUPT_ERROR`
`static int` | `PR_PIPE_ERROR`
`static int` | `PR_PROC_DESC_TABLE_FULL_ERROR`
`static int` | `PR_PROTOCOL_NOT_SUPPORTED_ERROR`
`static int` | `PR_RANGE_ERROR`
`static int` | `PR_READ_ONLY_FILESYSTEM_ERROR`
`static int` | `PR_REMOTE_FILE_ERROR`
`static int` | `PR_SOCKET_ADDRESS_IS_BOUND_ERROR`
`static int` | `PR_SOCKET_SHUTDOWN_ERROR`
`static int` | `PR_SYS_DESC_TABLE_FULL_ERROR`
`static int` | `PR_TPD_RANGE_ERROR`
`static int` | `PR_UNKNOWN_ERROR`
`static int` | `PR_UNLOAD_LIBRARY_ERROR`
`static int` | `PR_WOULD_BLOCK_ERROR`
`static int` | `SEC_ERROR_ADDING_CERT`
`static int` | `SEC_ERROR_BAD_DATA`
`static int` | `SEC_ERROR_BAD_DATABASE`
`static int` | `SEC_ERROR_BAD_DER`
`static int` | `SEC_ERROR_BAD_EXPORT_ALGORITHM`
`static int` | `SEC_ERROR_BAD_KEY`
`static int` | `SEC_ERROR_BAD_NICKNAME`
`static int` | `SEC_ERROR_BAD_PASSWORD`
`static int` | `SEC_ERROR_BAD_SIGNATURE`
`static int` | `SEC_ERROR_BAGGAGE_NOT_CREATED`
`static int` | `SEC_ERROR_CA_CERT_INVALID`
`static int` | `SEC_ERROR_CANNOT_MOVE_SENSITIVE_KEY`
`static int` | `SEC_ERROR_CERT_ADDR_MISMATCH`
`static int` | `SEC_ERROR_CERT_BAD_ACCESS_LOCATION`
`static int` | `SEC_ERROR_CERT_NICKNAME_COLLISION`
`static int` | `SEC_ERROR_CERT_NO_RESPONSE`
`static int` | `SEC_ERROR_CERT_NOT_IN_NAME_SPACE`
`static int` | `SEC_ERROR_CERT_NOT_VALID`
`static int` | `SEC_ERROR_CERT_USAGES_INVALID`
`static int` | `SEC_ERROR_CERT_VALID`
`static int` | `SEC_ERROR_CKL_CONFLICT`
`static int` | `SEC_ERROR_CRL_BAD_SIGNATURE`
`static int` | `SEC_ERROR_CRL_EXPIRED`
`static int` | `SEC_ERROR_CRL_INVALID`
`static int` | `SEC_ERROR_CRL_NOT_YET_VALID`
`static int` | `SEC_ERROR_DECRYPTION_DISALLOWED`
`static int` | `SEC_ERROR_DIGEST_NOT_FOUND`
`static int` | `SEC_ERROR_DUPLICATE_CERT`
`static int` | `SEC_ERROR_DUPLICATE_CERT_NAME`
`static int` | `SEC_ERROR_EXPIRED_CERTIFICATE`
`static int` | `SEC_ERROR_EXPIRED_ISSUER_CERTIFICATE`
`static int` | `SEC_ERROR_EXPORTING_CERTIFICATES`
`static int` | `SEC_ERROR_EXTENSION_NOT_FOUND`
`static int` | `SEC_ERROR_EXTENSION_VALUE_INVALID`
`static int` | `SEC_ERROR_FILING_KEY`
`static int` | `SEC_ERROR_IMPORTING_CERTIFICATES`
`static int` | `SEC_ERROR_INADEQUATE_CERT_TYPE`
`static int` | `SEC_ERROR_INADEQUATE_KEY_USAGE`
`static int` | `SEC_ERROR_INPUT_LEN`
`static int` | `SEC_ERROR_INVALID_ALGORITHM`
`static int` | `SEC_ERROR_INVALID_ARGS`
`static int` | `SEC_ERROR_INVALID_AVA`
`static int` | `SEC_ERROR_INVALID_KEY`
`static int` | `SEC_ERROR_INVALID_PASSWORD`
`static int` | `SEC_ERROR_INVALID_TIME`
`static int` | `SEC_ERROR_IO`
`static int` | `SEC_ERROR_JS_ADD_MOD_FAILURE`
`static int` | `SEC_ERROR_JS_DEL_MOD_FAILURE`
`static int` | `SEC_ERROR_JS_INVALID_DLL`
`static int` | `SEC_ERROR_JS_INVALID_MODULE_NAME`
`static int` | `SEC_ERROR_KEY_NICKNAME_COLLISION`
`static int` | `SEC_ERROR_KEYGEN_FAIL`
`static int` | `SEC_ERROR_KRL_BAD_SIGNATURE`
`static int` | `SEC_ERROR_KRL_EXPIRED`
`static int` | `SEC_ERROR_KRL_INVALID`
`static int` | `SEC_ERROR_KRL_NOT_YET_VALID`
`static int` | `SEC_ERROR_LIBRARY_FAILURE`
`static int` | `SEC_ERROR_MESSAGE_SEND_ABORTED`
`static int` | `SEC_ERROR_NEED_RANDOM`
`static int` | `SEC_ERROR_NO_EMAIL_CERT`
`static int` | `SEC_ERROR_NO_KEY`
`static int` | `SEC_ERROR_NO_KRL`
`static int` | `SEC_ERROR_NO_MEMORY`
`static int` | `SEC_ERROR_NO_MODULE`
`static int` | `SEC_ERROR_NO_NODELOCK`
`static int` | `SEC_ERROR_NO_RECIPIENT_CERTS_QUERY`
`static int` | `SEC_ERROR_NO_SLOT_SELECTED`
`static int` | `SEC_ERROR_NO_TOKEN`
`static int` | `SEC_ERROR_NOT_A_RECIPIENT`
`static int` | `SEC_ERROR_NOT_FORTEZZA_ISSUER` Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. SEC_ERROR_NOT_FORTEZZA_ISSUER is a placeholder for backward compatibility.
`static int` | `SEC_ERROR_OCSP_BAD_HTTP_RESPONSE`
`static int` | `SEC_ERROR_OCSP_FUTURE_RESPONSE`
`static int` | `SEC_ERROR_OCSP_MALFORMED_REQUEST`
`static int` | `SEC_ERROR_OCSP_MALFORMED_RESPONSE`
`static int` | `SEC_ERROR_OCSP_NO_DEFAULT_RESPONDER`
`static int` | `SEC_ERROR_OCSP_NOT_ENABLED`
`static int` | `SEC_ERROR_OCSP_OLD_RESPONSE`
`static int` | `SEC_ERROR_OCSP_REQUEST_NEEDS_SIG`
`static int` | `SEC_ERROR_OCSP_SERVER_ERROR`
`static int` | `SEC_ERROR_OCSP_TRY_SERVER_LATER`
`static int` | `SEC_ERROR_OCSP_UNAUTHORIZED_REQUEST`
`static int` | `SEC_ERROR_OCSP_UNAUTHORIZED_RESPONSE`
`static int` | `SEC_ERROR_OCSP_UNKNOWN_CERT`
`static int` | `SEC_ERROR_OCSP_UNKNOWN_RESPONSE_STATUS`
`static int` | `SEC_ERROR_OCSP_UNKNOWN_RESPONSE_TYPE`
`static int` | `SEC_ERROR_OLD_CRL`
`static int` | `SEC_ERROR_OLD_KRL`
`static int` | `SEC_ERROR_OUTPUT_LEN`
`static int` | `SEC_ERROR_PATH_LEN_CONSTRAINT_INVALID`
`static int` | `SEC_ERROR_PKCS12_CERT_COLLISION`
`static int` | `SEC_ERROR_PKCS12_CORRUPT_PFX_STRUCTURE`
`static int` | `SEC_ERROR_PKCS12_DECODING_PFX`
`static int` | `SEC_ERROR_PKCS12_DUPLICATE_DATA`
`static int` | `SEC_ERROR_PKCS12_IMPORTING_CERT_CHAIN`
`static int` | `SEC_ERROR_PKCS12_INVALID_MAC`
`static int` | `SEC_ERROR_PKCS12_KEY_DATABASE_NOT_INITIALIZED`
`static int` | `SEC_ERROR_PKCS12_PRIVACY_PASSWORD_INCORRECT`
`static int` | `SEC_ERROR_PKCS12_UNABLE_TO_EXPORT_KEY`
`static int` | `SEC_ERROR_PKCS12_UNABLE_TO_IMPORT_KEY`
`static int` | `SEC_ERROR_PKCS12_UNABLE_TO_LOCATE_OBJECT_BY_NAME`
`static int` | `SEC_ERROR_PKCS12_UNABLE_TO_READ`
`static int` | `SEC_ERROR_PKCS12_UNABLE_TO_WRITE`
`static int` | `SEC_ERROR_PKCS12_UNSUPPORTED_MAC_ALGORITHM`
`static int` | `SEC_ERROR_PKCS12_UNSUPPORTED_PBE_ALGORITHM`
`static int` | `SEC_ERROR_PKCS12_UNSUPPORTED_TRANSPORT_MODE`
`static int` | `SEC_ERROR_PKCS12_UNSUPPORTED_VERSION`
`static int` | `SEC_ERROR_PKCS7_BAD_SIGNATURE`
`static int` | `SEC_ERROR_PKCS7_KEYALG_MISMATCH`
`static int` | `SEC_ERROR_READ_ONLY`
`static int` | `SEC_ERROR_RETRY_OLD_PASSWORD`
`static int` | `SEC_ERROR_RETRY_PASSWORD`
`static int` | `SEC_ERROR_REVOKED_CERTIFICATE`
`static int` | `SEC_ERROR_REVOKED_KEY`
`static int` | `SEC_ERROR_SAFE_NOT_CREATED`
`static int` | `SEC_ERROR_UNKNOWN_CERT`
`static int` | `SEC_ERROR_UNKNOWN_CRITICAL_EXTENSION`
`static int` | `SEC_ERROR_UNKNOWN_ISSUER`
`static int` | `SEC_ERROR_UNKNOWN_SIGNER`
`static int` | `SEC_ERROR_UNSUPPORTED_KEYALG`
`static int` | `SEC_ERROR_UNSUPPORTED_MESSAGE_TYPE`
`static int` | `SEC_ERROR_UNTRUSTED_CERT`
`static int` | `SEC_ERROR_UNTRUSTED_ISSUER`
`static int` | `SEC_ERROR_USER_CANCELLED`
`static int` | `SEC_INTERNAL_ONLY`
`static int` | `SSL_ERROR_ACCESS_DENIED_ALERT`
`static int` | `SSL_ERROR_BAD_BLOCK_PADDING`
`static int` | `SSL_ERROR_BAD_CERT_ALERT`
`static int` | `SSL_ERROR_BAD_CERT_DOMAIN`
`static int` | `SSL_ERROR_BAD_CERTIFICATE`
`static int` | `SSL_ERROR_BAD_CLIENT`
`static int` | `SSL_ERROR_BAD_HANDSHAKE_HASH_VALUE`
`static int` | `SSL_ERROR_BAD_MAC_ALERT`
`static int` | `SSL_ERROR_BAD_MAC_READ`
`static int` | `SSL_ERROR_BAD_SERVER`
`static int` | `SSL_ERROR_BASE`
`static int` | `SSL_ERROR_CERT_KEA_MISMATCH`
`static int` | `SSL_ERROR_CERTIFICATE_UNKNOWN_ALERT`
`static int` | `SSL_ERROR_CLIENT_KEY_EXCHANGE_FAILURE`
`static int` | `SSL_ERROR_CLOSE_NOTIFY_ALERT`
`static int` | `SSL_ERROR_DECODE_ERROR_ALERT`
`static int` | `SSL_ERROR_DECOMPRESSION_FAILURE_ALERT`
`static int` | `SSL_ERROR_DECRYPT_ERROR_ALERT`
`static int` | `SSL_ERROR_DECRYPTION_FAILED_ALERT`
`static int` | `SSL_ERROR_DECRYPTION_FAILURE`
`static int` | `SSL_ERROR_ENCRYPTION_FAILURE`
`static int` | `SSL_ERROR_EXPIRED_CERT_ALERT`
`static int` | `SSL_ERROR_EXPORT_ONLY_SERVER`
`static int` | `SSL_ERROR_EXPORT_RESTRICTION_ALERT`
`static int` | `SSL_ERROR_EXTRACT_PUBLIC_KEY_FAILURE`
`static int` | `SSL_ERROR_FORTEZZA_PQG` Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. SSL_ERROR_FORTEZZA_PQG is a placeholder for backward compatibility.
`static int` | `SSL_ERROR_GENERATE_RANDOM_FAILURE`
`static int` | `SSL_ERROR_HANDSHAKE_FAILURE_ALERT`
`static int` | `SSL_ERROR_HANDSHAKE_NOT_COMPLETED`
`static int` | `SSL_ERROR_HANDSHAKE_UNEXPECTED_ALERT`
`static int` | `SSL_ERROR_ILLEGAL_PARAMETER_ALERT`
`static int` | `SSL_ERROR_INIT_CIPHER_SUITE_FAILURE`
`static int` | `SSL_ERROR_INSUFFICIENT_SECURITY_ALERT`
`static int` | `SSL_ERROR_INTERNAL_ERROR_ALERT`
`static int` | `SSL_ERROR_IV_PARAM_FAILURE`
`static int` | `SSL_ERROR_MAC_COMPUTATION_FAILURE`
`static int` | `SSL_ERROR_MD5_DIGEST_FAILURE`
`static int` | `SSL_ERROR_NO_CERTIFICATE`
`static int` | `SSL_ERROR_NO_CIPHERS_SUPPORTED`
`static int` | `SSL_ERROR_NO_COMPRESSION_OVERLAP`
`static int` | `SSL_ERROR_NO_CYPHER_OVERLAP`
`static int` | `SSL_ERROR_NO_RENEGOTIATION_ALERT`
`static int` | `SSL_ERROR_NO_SERVER_KEY_FOR_ALG`
`static int` | `SSL_ERROR_NO_TRUSTED_SSL_CLIENT_CA`
`static int` | `SSL_ERROR_POST_WARNING`
`static int` | `SSL_ERROR_PROTOCOL_VERSION_ALERT`
`static int` | `SSL_ERROR_PUB_KEY_SIZE_LIMIT_EXCEEDED`
`static int` | `SSL_ERROR_RECORD_OVERFLOW_ALERT`
`static int` | `SSL_ERROR_REVOKED_CERT_ALERT`
`static int` | `SSL_ERROR_RX_MALFORMED_ALERT`
`static int` | `SSL_ERROR_RX_MALFORMED_APPLICATION_DATA`
`static int` | `SSL_ERROR_RX_MALFORMED_CERT_REQUEST`
`static int` | `SSL_ERROR_RX_MALFORMED_CERT_VERIFY`
`static int` | `SSL_ERROR_RX_MALFORMED_CERTIFICATE`
`static int` | `SSL_ERROR_RX_MALFORMED_CHANGE_CIPHER`
`static int` | `SSL_ERROR_RX_MALFORMED_CLIENT_HELLO`
`static int` | `SSL_ERROR_RX_MALFORMED_CLIENT_KEY_EXCH`
`static int` | `SSL_ERROR_RX_MALFORMED_FINISHED`
`static int` | `SSL_ERROR_RX_MALFORMED_HANDSHAKE`
`static int` | `SSL_ERROR_RX_MALFORMED_HELLO_DONE`
`static int` | `SSL_ERROR_RX_MALFORMED_HELLO_REQUEST`
`static int` | `SSL_ERROR_RX_MALFORMED_SERVER_HELLO`
`static int` | `SSL_ERROR_RX_MALFORMED_SERVER_KEY_EXCH`
`static int` | `SSL_ERROR_RX_RECORD_TOO_LONG`
`static int` | `SSL_ERROR_RX_UNEXPECTED_ALERT`
`static int` | `SSL_ERROR_RX_UNEXPECTED_APPLICATION_DATA`
`static int` | `SSL_ERROR_RX_UNEXPECTED_CERT_REQUEST`
`static int` | `SSL_ERROR_RX_UNEXPECTED_CERT_VERIFY`
`static int` | `SSL_ERROR_RX_UNEXPECTED_CERTIFICATE`
`static int` | `SSL_ERROR_RX_UNEXPECTED_CHANGE_CIPHER`
`static int` | `SSL_ERROR_RX_UNEXPECTED_CLIENT_HELLO`
`static int` | `SSL_ERROR_RX_UNEXPECTED_CLIENT_KEY_EXCH`
`static int` | `SSL_ERROR_RX_UNEXPECTED_FINISHED`
`static int` | `SSL_ERROR_RX_UNEXPECTED_HANDSHAKE`
`static int` | `SSL_ERROR_RX_UNEXPECTED_HELLO_DONE`
`static int` | `SSL_ERROR_RX_UNEXPECTED_HELLO_REQUEST`
`static int` | `SSL_ERROR_RX_UNEXPECTED_SERVER_HELLO`
`static int` | `SSL_ERROR_RX_UNEXPECTED_SERVER_KEY_EXCH`
`static int` | `SSL_ERROR_RX_UNKNOWN_ALERT`
`static int` | `SSL_ERROR_RX_UNKNOWN_HANDSHAKE`
`static int` | `SSL_ERROR_RX_UNKNOWN_RECORD_TYPE`
`static int` | `SSL_ERROR_SERVER_KEY_EXCHANGE_FAILURE`
`static int` | `SSL_ERROR_SESSION_KEY_GEN_FAILURE`
`static int` | `SSL_ERROR_SESSION_NOT_FOUND`
`static int` | `SSL_ERROR_SHA_DIGEST_FAILURE`
`static int` | `SSL_ERROR_SIGN_HASHES_FAILURE`
`static int` | `SSL_ERROR_SOCKET_WRITE_FAILURE`
`static int` | `SSL_ERROR_SSL_DISABLED`
`static int` | `SSL_ERROR_SSL2_DISABLED`
`static int` | `SSL_ERROR_SYM_KEY_CONTEXT_FAILURE`
`static int` | `SSL_ERROR_SYM_KEY_UNWRAP_FAILURE`
`static int` | `SSL_ERROR_TOKEN_INSERTION_REMOVAL`
`static int` | `SSL_ERROR_TOKEN_SLOT_NOT_FOUND`
`static int` | `SSL_ERROR_TX_RECORD_TOO_LONG`
`static int` | `SSL_ERROR_UNKNOWN_CA_ALERT`
`static int` | `SSL_ERROR_UNKNOWN_CIPHER_SUITE`
`static int` | `SSL_ERROR_UNSUPPORTED_CERT_ALERT`
`static int` | `SSL_ERROR_UNSUPPORTED_CERTIFICATE_TYPE`
`static int` | `SSL_ERROR_UNSUPPORTED_VERSION`
`static int` | `SSL_ERROR_US_ONLY_SERVER`
`static int` | `SSL_ERROR_USER_CANCELED_ALERT`
`static int` | `SSL_ERROR_WRONG_CERTIFICATE`
`static int` | `XP_JAVA_CERT_NOT_EXISTS_ERROR`
`static int` | `XP_JAVA_DELETE_PRIVILEGE_ERROR`
`static int` | `XP_JAVA_REMOVE_PRINCIPAL_ERROR`
`static int` | `XP_SEC_FORTEZZA_BAD_CARD` Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. XP_SEC_FORTEZZA_BAD_CARD, XP_SEC_FORTEZZA_NO_CARD, XP_SEC_FORTEZZA_NONE_SELECTED, XP_SEC_FORTEZZA_MORE_INFO XP_SEC_FORTEZZA_PERSON_NOT_FOUND, XP_SEC_FORTEZZA_NO_MORE_INFO XP_SEC_FORTEZZA_BAD_PIN and XP_SEC_FORTEZZA_PERSON_ERROR are placeholder for backward compatibility.
`static int` | `XP_SEC_FORTEZZA_BAD_PIN`
`static int` | `XP_SEC_FORTEZZA_MORE_INFO`
`static int` | `XP_SEC_FORTEZZA_NO_CARD`
`static int` | `XP_SEC_FORTEZZA_NO_MORE_INFO`
`static int` | `XP_SEC_FORTEZZA_NONE_SELECTED`
`static int` | `XP_SEC_FORTEZZA_PERSON_ERROR`
`static int` | `XP_SEC_FORTEZZA_PERSON_NOT_FOUND`

Constructor Summary
`NativeErrcodes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PR_OUT_OF_MEMORY_ERROR

    public static final int PR_OUT_OF_MEMORY_ERROR

See Also:
  Constant Field Values

### PR_BAD_DESCRIPTOR_ERROR

    public static final int PR_BAD_DESCRIPTOR_ERROR

See Also:
  Constant Field Values

### PR_WOULD_BLOCK_ERROR

    public static final int PR_WOULD_BLOCK_ERROR

See Also:
  Constant Field Values

### PR_ACCESS_FAULT_ERROR

    public static final int PR_ACCESS_FAULT_ERROR

See Also:
  Constant Field Values

### PR_INVALID_METHOD_ERROR

    public static final int PR_INVALID_METHOD_ERROR

See Also:
  Constant Field Values

### PR_ILLEGAL_ACCESS_ERROR

    public static final int PR_ILLEGAL_ACCESS_ERROR

See Also:
  Constant Field Values

### PR_UNKNOWN_ERROR

    public static final int PR_UNKNOWN_ERROR

See Also:
  Constant Field Values

### PR_PENDING_INTERRUPT_ERROR

    public static final int PR_PENDING_INTERRUPT_ERROR

See Also:
  Constant Field Values

### PR_NOT_IMPLEMENTED_ERROR

    public static final int PR_NOT_IMPLEMENTED_ERROR

See Also:
  Constant Field Values

### PR_IO_ERROR

    public static final int PR_IO_ERROR

See Also:
  Constant Field Values

### PR_IO_TIMEOUT_ERROR

    public static final int PR_IO_TIMEOUT_ERROR

See Also:
  Constant Field Values

### PR_IO_PENDING_ERROR

    public static final int PR_IO_PENDING_ERROR

See Also:
  Constant Field Values

### PR_DIRECTORY_OPEN_ERROR

    public static final int PR_DIRECTORY_OPEN_ERROR

See Also:
  Constant Field Values

### PR_INVALID_ARGUMENT_ERROR

    public static final int PR_INVALID_ARGUMENT_ERROR

See Also:
  Constant Field Values

### PR_ADDRESS_NOT_AVAILABLE_ERROR

    public static final int PR_ADDRESS_NOT_AVAILABLE_ERROR

See Also:
  Constant Field Values

### PR_ADDRESS_NOT_SUPPORTED_ERROR

    public static final int PR_ADDRESS_NOT_SUPPORTED_ERROR

See Also:
  Constant Field Values

### PR_IS_CONNECTED_ERROR

    public static final int PR_IS_CONNECTED_ERROR

See Also:
  Constant Field Values

### PR_BAD_ADDRESS_ERROR

    public static final int PR_BAD_ADDRESS_ERROR

See Also:
  Constant Field Values

### PR_ADDRESS_IN_USE_ERROR

    public static final int PR_ADDRESS_IN_USE_ERROR

See Also:
  Constant Field Values

### PR_CONNECT_REFUSED_ERROR

    public static final int PR_CONNECT_REFUSED_ERROR

See Also:
  Constant Field Values

### PR_NETWORK_UNREACHABLE_ERROR

    public static final int PR_NETWORK_UNREACHABLE_ERROR

See Also:
  Constant Field Values

### PR_CONNECT_TIMEOUT_ERROR

    public static final int PR_CONNECT_TIMEOUT_ERROR

See Also:
  Constant Field Values

### PR_NOT_CONNECTED_ERROR

    public static final int PR_NOT_CONNECTED_ERROR

See Also:
  Constant Field Values

### PR_LOAD_LIBRARY_ERROR

    public static final int PR_LOAD_LIBRARY_ERROR

See Also:
  Constant Field Values

### PR_UNLOAD_LIBRARY_ERROR

    public static final int PR_UNLOAD_LIBRARY_ERROR

See Also:
  Constant Field Values

### PR_FIND_SYMBOL_ERROR

    public static final int PR_FIND_SYMBOL_ERROR

See Also:
  Constant Field Values

### PR_INSUFFICIENT_RESOURCES_ERROR

    public static final int PR_INSUFFICIENT_RESOURCES_ERROR

See Also:
  Constant Field Values

### PR_DIRECTORY_LOOKUP_ERROR

    public static final int PR_DIRECTORY_LOOKUP_ERROR

See Also:
  Constant Field Values

### PR_TPD_RANGE_ERROR

    public static final int PR_TPD_RANGE_ERROR

See Also:
  Constant Field Values

### PR_PROC_DESC_TABLE_FULL_ERROR

    public static final int PR_PROC_DESC_TABLE_FULL_ERROR

See Also:
  Constant Field Values

### PR_SYS_DESC_TABLE_FULL_ERROR

    public static final int PR_SYS_DESC_TABLE_FULL_ERROR

See Also:
  Constant Field Values

### PR_NOT_SOCKET_ERROR

    public static final int PR_NOT_SOCKET_ERROR

See Also:
  Constant Field Values

### PR_NOT_TCP_SOCKET_ERROR

    public static final int PR_NOT_TCP_SOCKET_ERROR

See Also:
  Constant Field Values

### PR_SOCKET_ADDRESS_IS_BOUND_ERROR

    public static final int PR_SOCKET_ADDRESS_IS_BOUND_ERROR

See Also:
  Constant Field Values

### PR_NO_ACCESS_RIGHTS_ERROR

    public static final int PR_NO_ACCESS_RIGHTS_ERROR

See Also:
  Constant Field Values

### PR_OPERATION_NOT_SUPPORTED_ERROR

    public static final int PR_OPERATION_NOT_SUPPORTED_ERROR

See Also:
  Constant Field Values

### PR_PROTOCOL_NOT_SUPPORTED_ERROR

    public static final int PR_PROTOCOL_NOT_SUPPORTED_ERROR

See Also:
  Constant Field Values

### PR_REMOTE_FILE_ERROR

    public static final int PR_REMOTE_FILE_ERROR

See Also:
  Constant Field Values

### PR_BUFFER_OVERFLOW_ERROR

    public static final int PR_BUFFER_OVERFLOW_ERROR

See Also:
  Constant Field Values

### PR_CONNECT_RESET_ERROR

    public static final int PR_CONNECT_RESET_ERROR

See Also:
  Constant Field Values

### PR_RANGE_ERROR

    public static final int PR_RANGE_ERROR

See Also:
  Constant Field Values

### PR_DEADLOCK_ERROR

    public static final int PR_DEADLOCK_ERROR

See Also:
  Constant Field Values

### PR_FILE_IS_LOCKED_ERROR

    public static final int PR_FILE_IS_LOCKED_ERROR

See Also:
  Constant Field Values

### PR_FILE_TOO_BIG_ERROR

    public static final int PR_FILE_TOO_BIG_ERROR

See Also:
  Constant Field Values

### PR_NO_DEVICE_SPACE_ERROR

    public static final int PR_NO_DEVICE_SPACE_ERROR

See Also:
  Constant Field Values

### PR_PIPE_ERROR

    public static final int PR_PIPE_ERROR

See Also:
  Constant Field Values

### PR_NO_SEEK_DEVICE_ERROR

    public static final int PR_NO_SEEK_DEVICE_ERROR

See Also:
  Constant Field Values

### PR_IS_DIRECTORY_ERROR

    public static final int PR_IS_DIRECTORY_ERROR

See Also:
  Constant Field Values

### PR_LOOP_ERROR

    public static final int PR_LOOP_ERROR

See Also:
  Constant Field Values

### PR_NAME_TOO_LONG_ERROR

    public static final int PR_NAME_TOO_LONG_ERROR

See Also:
  Constant Field Values

### PR_FILE_NOT_FOUND_ERROR

    public static final int PR_FILE_NOT_FOUND_ERROR

See Also:
  Constant Field Values

### PR_NOT_DIRECTORY_ERROR

    public static final int PR_NOT_DIRECTORY_ERROR

See Also:
  Constant Field Values

### PR_READ_ONLY_FILESYSTEM_ERROR

    public static final int PR_READ_ONLY_FILESYSTEM_ERROR

See Also:
  Constant Field Values

### PR_DIRECTORY_NOT_EMPTY_ERROR

    public static final int PR_DIRECTORY_NOT_EMPTY_ERROR

See Also:
  Constant Field Values

### PR_FILESYSTEM_MOUNTED_ERROR

    public static final int PR_FILESYSTEM_MOUNTED_ERROR

See Also:
  Constant Field Values

### PR_NOT_SAME_DEVICE_ERROR

    public static final int PR_NOT_SAME_DEVICE_ERROR

See Also:
  Constant Field Values

### PR_DIRECTORY_CORRUPTED_ERROR

    public static final int PR_DIRECTORY_CORRUPTED_ERROR

See Also:
  Constant Field Values

### PR_FILE_EXISTS_ERROR

    public static final int PR_FILE_EXISTS_ERROR

See Also:
  Constant Field Values

### PR_MAX_DIRECTORY_ENTRIES_ERROR

    public static final int PR_MAX_DIRECTORY_ENTRIES_ERROR

See Also:
  Constant Field Values

### PR_INVALID_DEVICE_STATE_ERROR

    public static final int PR_INVALID_DEVICE_STATE_ERROR

See Also:
  Constant Field Values

### PR_DEVICE_IS_LOCKED_ERROR

    public static final int PR_DEVICE_IS_LOCKED_ERROR

See Also:
  Constant Field Values

### PR_NO_MORE_FILES_ERROR

    public static final int PR_NO_MORE_FILES_ERROR

See Also:
  Constant Field Values

### PR_END_OF_FILE_ERROR

    public static final int PR_END_OF_FILE_ERROR

See Also:
  Constant Field Values

### PR_FILE_SEEK_ERROR

    public static final int PR_FILE_SEEK_ERROR

See Also:
  Constant Field Values

### PR_FILE_IS_BUSY_ERROR

    public static final int PR_FILE_IS_BUSY_ERROR

See Also:
  Constant Field Values

### PR_OPERATION_ABORTED_ERROR

    public static final int PR_OPERATION_ABORTED_ERROR

See Also:
  Constant Field Values

### PR_IN_PROGRESS_ERROR

    public static final int PR_IN_PROGRESS_ERROR

See Also:
  Constant Field Values

### PR_ALREADY_INITIATED_ERROR

    public static final int PR_ALREADY_INITIATED_ERROR

See Also:
  Constant Field Values

### PR_GROUP_EMPTY_ERROR

    public static final int PR_GROUP_EMPTY_ERROR

See Also:
  Constant Field Values

### PR_INVALID_STATE_ERROR

    public static final int PR_INVALID_STATE_ERROR

See Also:
  Constant Field Values

### PR_NETWORK_DOWN_ERROR

    public static final int PR_NETWORK_DOWN_ERROR

See Also:
  Constant Field Values

### PR_SOCKET_SHUTDOWN_ERROR

    public static final int PR_SOCKET_SHUTDOWN_ERROR

See Also:
  Constant Field Values

### PR_CONNECT_ABORTED_ERROR

    public static final int PR_CONNECT_ABORTED_ERROR

See Also:
  Constant Field Values

### PR_HOST_UNREACHABLE_ERROR

    public static final int PR_HOST_UNREACHABLE_ERROR

See Also:
  Constant Field Values

### SSL_ERROR_BASE

    public static final int SSL_ERROR_BASE

See Also:
  Constant Field Values

### SSL_ERROR_EXPORT_ONLY_SERVER

    public static final int SSL_ERROR_EXPORT_ONLY_SERVER

See Also:
  Constant Field Values

### SSL_ERROR_US_ONLY_SERVER

    public static final int SSL_ERROR_US_ONLY_SERVER

See Also:
  Constant Field Values

### SSL_ERROR_NO_CYPHER_OVERLAP

    public static final int SSL_ERROR_NO_CYPHER_OVERLAP

See Also:
  Constant Field Values

### SSL_ERROR_NO_CERTIFICATE

    public static final int SSL_ERROR_NO_CERTIFICATE

See Also:
  Constant Field Values

### SSL_ERROR_BAD_CERTIFICATE

    public static final int SSL_ERROR_BAD_CERTIFICATE

See Also:
  Constant Field Values

### SSL_ERROR_BAD_CLIENT

    public static final int SSL_ERROR_BAD_CLIENT

See Also:
  Constant Field Values

### SSL_ERROR_BAD_SERVER

    public static final int SSL_ERROR_BAD_SERVER

See Also:
  Constant Field Values

### SSL_ERROR_UNSUPPORTED_CERTIFICATE_TYPE

    public static final int SSL_ERROR_UNSUPPORTED_CERTIFICATE_TYPE

See Also:
  Constant Field Values

### SSL_ERROR_UNSUPPORTED_VERSION

    public static final int SSL_ERROR_UNSUPPORTED_VERSION

See Also:
  Constant Field Values

### SSL_ERROR_WRONG_CERTIFICATE

    public static final int SSL_ERROR_WRONG_CERTIFICATE

See Also:
  Constant Field Values

### SSL_ERROR_BAD_CERT_DOMAIN

    public static final int SSL_ERROR_BAD_CERT_DOMAIN

See Also:
  Constant Field Values

### SSL_ERROR_POST_WARNING

    public static final int SSL_ERROR_POST_WARNING

See Also:
  Constant Field Values

### SSL_ERROR_SSL2_DISABLED

    public static final int SSL_ERROR_SSL2_DISABLED

See Also:
  Constant Field Values

### SSL_ERROR_BAD_MAC_READ

    public static final int SSL_ERROR_BAD_MAC_READ

See Also:
  Constant Field Values

### SSL_ERROR_BAD_MAC_ALERT

    public static final int SSL_ERROR_BAD_MAC_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_BAD_CERT_ALERT

    public static final int SSL_ERROR_BAD_CERT_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_REVOKED_CERT_ALERT

    public static final int SSL_ERROR_REVOKED_CERT_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_EXPIRED_CERT_ALERT

    public static final int SSL_ERROR_EXPIRED_CERT_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_SSL_DISABLED

    public static final int SSL_ERROR_SSL_DISABLED

See Also:
  Constant Field Values

### SSL_ERROR_FORTEZZA_PQG

    public static final int SSL_ERROR_FORTEZZA_PQG

  Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. SSL_ERROR_FORTEZZA_PQG is a placeholder for backward compatibility.
  See Also:
    Constant Field Values

### SSL_ERROR_UNKNOWN_CIPHER_SUITE

    public static final int SSL_ERROR_UNKNOWN_CIPHER_SUITE

See Also:
  Constant Field Values

### SSL_ERROR_NO_CIPHERS_SUPPORTED

    public static final int SSL_ERROR_NO_CIPHERS_SUPPORTED

See Also:
  Constant Field Values

### SSL_ERROR_BAD_BLOCK_PADDING

    public static final int SSL_ERROR_BAD_BLOCK_PADDING

See Also:
  Constant Field Values

### SSL_ERROR_RX_RECORD_TOO_LONG

    public static final int SSL_ERROR_RX_RECORD_TOO_LONG

See Also:
  Constant Field Values

### SSL_ERROR_TX_RECORD_TOO_LONG

    public static final int SSL_ERROR_TX_RECORD_TOO_LONG

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_HELLO_REQUEST

    public static final int SSL_ERROR_RX_MALFORMED_HELLO_REQUEST

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_CLIENT_HELLO

    public static final int SSL_ERROR_RX_MALFORMED_CLIENT_HELLO

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_SERVER_HELLO

    public static final int SSL_ERROR_RX_MALFORMED_SERVER_HELLO

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_CERTIFICATE

    public static final int SSL_ERROR_RX_MALFORMED_CERTIFICATE

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_SERVER_KEY_EXCH

    public static final int SSL_ERROR_RX_MALFORMED_SERVER_KEY_EXCH

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_CERT_REQUEST

    public static final int SSL_ERROR_RX_MALFORMED_CERT_REQUEST

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_HELLO_DONE

    public static final int SSL_ERROR_RX_MALFORMED_HELLO_DONE

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_CERT_VERIFY

    public static final int SSL_ERROR_RX_MALFORMED_CERT_VERIFY

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_CLIENT_KEY_EXCH

    public static final int SSL_ERROR_RX_MALFORMED_CLIENT_KEY_EXCH

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_FINISHED

    public static final int SSL_ERROR_RX_MALFORMED_FINISHED

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_CHANGE_CIPHER

    public static final int SSL_ERROR_RX_MALFORMED_CHANGE_CIPHER

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_ALERT

    public static final int SSL_ERROR_RX_MALFORMED_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_HANDSHAKE

    public static final int SSL_ERROR_RX_MALFORMED_HANDSHAKE

See Also:
  Constant Field Values

### SSL_ERROR_RX_MALFORMED_APPLICATION_DATA

    public static final int SSL_ERROR_RX_MALFORMED_APPLICATION_DATA

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_HELLO_REQUEST

    public static final int SSL_ERROR_RX_UNEXPECTED_HELLO_REQUEST

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_CLIENT_HELLO

    public static final int SSL_ERROR_RX_UNEXPECTED_CLIENT_HELLO

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_SERVER_HELLO

    public static final int SSL_ERROR_RX_UNEXPECTED_SERVER_HELLO

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_CERTIFICATE

    public static final int SSL_ERROR_RX_UNEXPECTED_CERTIFICATE

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_SERVER_KEY_EXCH

    public static final int SSL_ERROR_RX_UNEXPECTED_SERVER_KEY_EXCH

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_CERT_REQUEST

    public static final int SSL_ERROR_RX_UNEXPECTED_CERT_REQUEST

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_HELLO_DONE

    public static final int SSL_ERROR_RX_UNEXPECTED_HELLO_DONE

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_CERT_VERIFY

    public static final int SSL_ERROR_RX_UNEXPECTED_CERT_VERIFY

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_CLIENT_KEY_EXCH

    public static final int SSL_ERROR_RX_UNEXPECTED_CLIENT_KEY_EXCH

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_FINISHED

    public static final int SSL_ERROR_RX_UNEXPECTED_FINISHED

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_CHANGE_CIPHER

    public static final int SSL_ERROR_RX_UNEXPECTED_CHANGE_CIPHER

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_ALERT

    public static final int SSL_ERROR_RX_UNEXPECTED_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_HANDSHAKE

    public static final int SSL_ERROR_RX_UNEXPECTED_HANDSHAKE

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNEXPECTED_APPLICATION_DATA

    public static final int SSL_ERROR_RX_UNEXPECTED_APPLICATION_DATA

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNKNOWN_RECORD_TYPE

    public static final int SSL_ERROR_RX_UNKNOWN_RECORD_TYPE

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNKNOWN_HANDSHAKE

    public static final int SSL_ERROR_RX_UNKNOWN_HANDSHAKE

See Also:
  Constant Field Values

### SSL_ERROR_RX_UNKNOWN_ALERT

    public static final int SSL_ERROR_RX_UNKNOWN_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_CLOSE_NOTIFY_ALERT

    public static final int SSL_ERROR_CLOSE_NOTIFY_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_HANDSHAKE_UNEXPECTED_ALERT

    public static final int SSL_ERROR_HANDSHAKE_UNEXPECTED_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_DECOMPRESSION_FAILURE_ALERT

    public static final int SSL_ERROR_DECOMPRESSION_FAILURE_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_HANDSHAKE_FAILURE_ALERT

    public static final int SSL_ERROR_HANDSHAKE_FAILURE_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_ILLEGAL_PARAMETER_ALERT

    public static final int SSL_ERROR_ILLEGAL_PARAMETER_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_UNSUPPORTED_CERT_ALERT

    public static final int SSL_ERROR_UNSUPPORTED_CERT_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_CERTIFICATE_UNKNOWN_ALERT

    public static final int SSL_ERROR_CERTIFICATE_UNKNOWN_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_GENERATE_RANDOM_FAILURE

    public static final int SSL_ERROR_GENERATE_RANDOM_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_SIGN_HASHES_FAILURE

    public static final int SSL_ERROR_SIGN_HASHES_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_EXTRACT_PUBLIC_KEY_FAILURE

    public static final int SSL_ERROR_EXTRACT_PUBLIC_KEY_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_SERVER_KEY_EXCHANGE_FAILURE

    public static final int SSL_ERROR_SERVER_KEY_EXCHANGE_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_CLIENT_KEY_EXCHANGE_FAILURE

    public static final int SSL_ERROR_CLIENT_KEY_EXCHANGE_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_ENCRYPTION_FAILURE

    public static final int SSL_ERROR_ENCRYPTION_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_DECRYPTION_FAILURE

    public static final int SSL_ERROR_DECRYPTION_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_SOCKET_WRITE_FAILURE

    public static final int SSL_ERROR_SOCKET_WRITE_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_MD5_DIGEST_FAILURE

    public static final int SSL_ERROR_MD5_DIGEST_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_SHA_DIGEST_FAILURE

    public static final int SSL_ERROR_SHA_DIGEST_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_MAC_COMPUTATION_FAILURE

    public static final int SSL_ERROR_MAC_COMPUTATION_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_SYM_KEY_CONTEXT_FAILURE

    public static final int SSL_ERROR_SYM_KEY_CONTEXT_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_SYM_KEY_UNWRAP_FAILURE

    public static final int SSL_ERROR_SYM_KEY_UNWRAP_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_PUB_KEY_SIZE_LIMIT_EXCEEDED

    public static final int SSL_ERROR_PUB_KEY_SIZE_LIMIT_EXCEEDED

See Also:
  Constant Field Values

### SSL_ERROR_IV_PARAM_FAILURE

    public static final int SSL_ERROR_IV_PARAM_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_INIT_CIPHER_SUITE_FAILURE

    public static final int SSL_ERROR_INIT_CIPHER_SUITE_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_SESSION_KEY_GEN_FAILURE

    public static final int SSL_ERROR_SESSION_KEY_GEN_FAILURE

See Also:
  Constant Field Values

### SSL_ERROR_NO_SERVER_KEY_FOR_ALG

    public static final int SSL_ERROR_NO_SERVER_KEY_FOR_ALG

See Also:
  Constant Field Values

### SSL_ERROR_TOKEN_INSERTION_REMOVAL

    public static final int SSL_ERROR_TOKEN_INSERTION_REMOVAL

See Also:
  Constant Field Values

### SSL_ERROR_TOKEN_SLOT_NOT_FOUND

    public static final int SSL_ERROR_TOKEN_SLOT_NOT_FOUND

See Also:
  Constant Field Values

### SSL_ERROR_NO_COMPRESSION_OVERLAP

    public static final int SSL_ERROR_NO_COMPRESSION_OVERLAP

See Also:
  Constant Field Values

### SSL_ERROR_HANDSHAKE_NOT_COMPLETED

    public static final int SSL_ERROR_HANDSHAKE_NOT_COMPLETED

See Also:
  Constant Field Values

### SSL_ERROR_BAD_HANDSHAKE_HASH_VALUE

    public static final int SSL_ERROR_BAD_HANDSHAKE_HASH_VALUE

See Also:
  Constant Field Values

### SSL_ERROR_CERT_KEA_MISMATCH

    public static final int SSL_ERROR_CERT_KEA_MISMATCH

See Also:
  Constant Field Values

### SSL_ERROR_NO_TRUSTED_SSL_CLIENT_CA

    public static final int SSL_ERROR_NO_TRUSTED_SSL_CLIENT_CA

See Also:
  Constant Field Values

### SSL_ERROR_SESSION_NOT_FOUND

    public static final int SSL_ERROR_SESSION_NOT_FOUND

See Also:
  Constant Field Values

### SSL_ERROR_DECRYPTION_FAILED_ALERT

    public static final int SSL_ERROR_DECRYPTION_FAILED_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_RECORD_OVERFLOW_ALERT

    public static final int SSL_ERROR_RECORD_OVERFLOW_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_UNKNOWN_CA_ALERT

    public static final int SSL_ERROR_UNKNOWN_CA_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_ACCESS_DENIED_ALERT

    public static final int SSL_ERROR_ACCESS_DENIED_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_DECODE_ERROR_ALERT

    public static final int SSL_ERROR_DECODE_ERROR_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_DECRYPT_ERROR_ALERT

    public static final int SSL_ERROR_DECRYPT_ERROR_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_EXPORT_RESTRICTION_ALERT

    public static final int SSL_ERROR_EXPORT_RESTRICTION_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_PROTOCOL_VERSION_ALERT

    public static final int SSL_ERROR_PROTOCOL_VERSION_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_INSUFFICIENT_SECURITY_ALERT

    public static final int SSL_ERROR_INSUFFICIENT_SECURITY_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_INTERNAL_ERROR_ALERT

    public static final int SSL_ERROR_INTERNAL_ERROR_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_USER_CANCELED_ALERT

    public static final int SSL_ERROR_USER_CANCELED_ALERT

See Also:
  Constant Field Values

### SSL_ERROR_NO_RENEGOTIATION_ALERT

    public static final int SSL_ERROR_NO_RENEGOTIATION_ALERT

See Also:
  Constant Field Values

### SEC_ERROR_IO

    public static final int SEC_ERROR_IO

See Also:
  Constant Field Values

### SEC_ERROR_LIBRARY_FAILURE

    public static final int SEC_ERROR_LIBRARY_FAILURE

See Also:
  Constant Field Values

### SEC_ERROR_BAD_DATA

    public static final int SEC_ERROR_BAD_DATA

See Also:
  Constant Field Values

### SEC_ERROR_OUTPUT_LEN

    public static final int SEC_ERROR_OUTPUT_LEN

See Also:
  Constant Field Values

### SEC_ERROR_INPUT_LEN

    public static final int SEC_ERROR_INPUT_LEN

See Also:
  Constant Field Values

### SEC_ERROR_INVALID_ARGS

    public static final int SEC_ERROR_INVALID_ARGS

See Also:
  Constant Field Values

### SEC_ERROR_INVALID_ALGORITHM

    public static final int SEC_ERROR_INVALID_ALGORITHM

See Also:
  Constant Field Values

### SEC_ERROR_INVALID_AVA

    public static final int SEC_ERROR_INVALID_AVA

See Also:
  Constant Field Values

### SEC_ERROR_INVALID_TIME

    public static final int SEC_ERROR_INVALID_TIME

See Also:
  Constant Field Values

### SEC_ERROR_BAD_DER

    public static final int SEC_ERROR_BAD_DER

See Also:
  Constant Field Values

### SEC_ERROR_BAD_SIGNATURE

    public static final int SEC_ERROR_BAD_SIGNATURE

See Also:
  Constant Field Values

### SEC_ERROR_EXPIRED_CERTIFICATE

    public static final int SEC_ERROR_EXPIRED_CERTIFICATE

See Also:
  Constant Field Values

### SEC_ERROR_REVOKED_CERTIFICATE

    public static final int SEC_ERROR_REVOKED_CERTIFICATE

See Also:
  Constant Field Values

### SEC_ERROR_UNKNOWN_ISSUER

    public static final int SEC_ERROR_UNKNOWN_ISSUER

See Also:
  Constant Field Values

### SEC_ERROR_BAD_KEY

    public static final int SEC_ERROR_BAD_KEY

See Also:
  Constant Field Values

### SEC_ERROR_BAD_PASSWORD

    public static final int SEC_ERROR_BAD_PASSWORD

See Also:
  Constant Field Values

### SEC_ERROR_RETRY_PASSWORD

    public static final int SEC_ERROR_RETRY_PASSWORD

See Also:
  Constant Field Values

### SEC_ERROR_NO_NODELOCK

    public static final int SEC_ERROR_NO_NODELOCK

See Also:
  Constant Field Values

### SEC_ERROR_BAD_DATABASE

    public static final int SEC_ERROR_BAD_DATABASE

See Also:
  Constant Field Values

### SEC_ERROR_NO_MEMORY

    public static final int SEC_ERROR_NO_MEMORY

See Also:
  Constant Field Values

### SEC_ERROR_UNTRUSTED_ISSUER

    public static final int SEC_ERROR_UNTRUSTED_ISSUER

See Also:
  Constant Field Values

### SEC_ERROR_UNTRUSTED_CERT

    public static final int SEC_ERROR_UNTRUSTED_CERT

See Also:
  Constant Field Values

### SEC_ERROR_DUPLICATE_CERT

    public static final int SEC_ERROR_DUPLICATE_CERT

See Also:
  Constant Field Values

### SEC_ERROR_DUPLICATE_CERT_NAME

    public static final int SEC_ERROR_DUPLICATE_CERT_NAME

See Also:
  Constant Field Values

### SEC_ERROR_ADDING_CERT

    public static final int SEC_ERROR_ADDING_CERT

See Also:
  Constant Field Values

### SEC_ERROR_FILING_KEY

    public static final int SEC_ERROR_FILING_KEY

See Also:
  Constant Field Values

### SEC_ERROR_NO_KEY

    public static final int SEC_ERROR_NO_KEY

See Also:
  Constant Field Values

### SEC_ERROR_CERT_VALID

    public static final int SEC_ERROR_CERT_VALID

See Also:
  Constant Field Values

### SEC_ERROR_CERT_NOT_VALID

    public static final int SEC_ERROR_CERT_NOT_VALID

See Also:
  Constant Field Values

### SEC_ERROR_CERT_NO_RESPONSE

    public static final int SEC_ERROR_CERT_NO_RESPONSE

See Also:
  Constant Field Values

### SEC_ERROR_EXPIRED_ISSUER_CERTIFICATE

    public static final int SEC_ERROR_EXPIRED_ISSUER_CERTIFICATE

See Also:
  Constant Field Values

### SEC_ERROR_CRL_EXPIRED

    public static final int SEC_ERROR_CRL_EXPIRED

See Also:
  Constant Field Values

### SEC_ERROR_CRL_BAD_SIGNATURE

    public static final int SEC_ERROR_CRL_BAD_SIGNATURE

See Also:
  Constant Field Values

### SEC_ERROR_CRL_INVALID

    public static final int SEC_ERROR_CRL_INVALID

See Also:
  Constant Field Values

### SEC_ERROR_EXTENSION_VALUE_INVALID

    public static final int SEC_ERROR_EXTENSION_VALUE_INVALID

See Also:
  Constant Field Values

### SEC_ERROR_EXTENSION_NOT_FOUND

    public static final int SEC_ERROR_EXTENSION_NOT_FOUND

See Also:
  Constant Field Values

### SEC_ERROR_CA_CERT_INVALID

    public static final int SEC_ERROR_CA_CERT_INVALID

See Also:
  Constant Field Values

### SEC_ERROR_PATH_LEN_CONSTRAINT_INVALID

    public static final int SEC_ERROR_PATH_LEN_CONSTRAINT_INVALID

See Also:
  Constant Field Values

### SEC_ERROR_CERT_USAGES_INVALID

    public static final int SEC_ERROR_CERT_USAGES_INVALID

See Also:
  Constant Field Values

### SEC_INTERNAL_ONLY

    public static final int SEC_INTERNAL_ONLY

See Also:
  Constant Field Values

### SEC_ERROR_INVALID_KEY

    public static final int SEC_ERROR_INVALID_KEY

See Also:
  Constant Field Values

### SEC_ERROR_UNKNOWN_CRITICAL_EXTENSION

    public static final int SEC_ERROR_UNKNOWN_CRITICAL_EXTENSION

See Also:
  Constant Field Values

### SEC_ERROR_OLD_CRL

    public static final int SEC_ERROR_OLD_CRL

See Also:
  Constant Field Values

### SEC_ERROR_NO_EMAIL_CERT

    public static final int SEC_ERROR_NO_EMAIL_CERT

See Also:
  Constant Field Values

### SEC_ERROR_NO_RECIPIENT_CERTS_QUERY

    public static final int SEC_ERROR_NO_RECIPIENT_CERTS_QUERY

See Also:
  Constant Field Values

### SEC_ERROR_NOT_A_RECIPIENT

    public static final int SEC_ERROR_NOT_A_RECIPIENT

See Also:
  Constant Field Values

### SEC_ERROR_PKCS7_KEYALG_MISMATCH

    public static final int SEC_ERROR_PKCS7_KEYALG_MISMATCH

See Also:
  Constant Field Values

### SEC_ERROR_PKCS7_BAD_SIGNATURE

    public static final int SEC_ERROR_PKCS7_BAD_SIGNATURE

See Also:
  Constant Field Values

### SEC_ERROR_UNSUPPORTED_KEYALG

    public static final int SEC_ERROR_UNSUPPORTED_KEYALG

See Also:
  Constant Field Values

### SEC_ERROR_DECRYPTION_DISALLOWED

    public static final int SEC_ERROR_DECRYPTION_DISALLOWED

See Also:
  Constant Field Values

### XP_SEC_FORTEZZA_BAD_CARD

    public static final int XP_SEC_FORTEZZA_BAD_CARD

  Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. XP_SEC_FORTEZZA_BAD_CARD, XP_SEC_FORTEZZA_NO_CARD, XP_SEC_FORTEZZA_NONE_SELECTED, XP_SEC_FORTEZZA_MORE_INFO XP_SEC_FORTEZZA_PERSON_NOT_FOUND, XP_SEC_FORTEZZA_NO_MORE_INFO XP_SEC_FORTEZZA_BAD_PIN and XP_SEC_FORTEZZA_PERSON_ERROR are placeholder for backward compatibility.
  See Also:
    Constant Field Values

### XP_SEC_FORTEZZA_NO_CARD

    public static final int XP_SEC_FORTEZZA_NO_CARD

See Also:
  Constant Field Values

### XP_SEC_FORTEZZA_NONE_SELECTED

    public static final int XP_SEC_FORTEZZA_NONE_SELECTED

See Also:
  Constant Field Values

### XP_SEC_FORTEZZA_MORE_INFO

    public static final int XP_SEC_FORTEZZA_MORE_INFO

See Also:
  Constant Field Values

### XP_SEC_FORTEZZA_PERSON_NOT_FOUND

    public static final int XP_SEC_FORTEZZA_PERSON_NOT_FOUND

See Also:
  Constant Field Values

### XP_SEC_FORTEZZA_NO_MORE_INFO

    public static final int XP_SEC_FORTEZZA_NO_MORE_INFO

See Also:
  Constant Field Values

### XP_SEC_FORTEZZA_BAD_PIN

    public static final int XP_SEC_FORTEZZA_BAD_PIN

See Also:
  Constant Field Values

### XP_SEC_FORTEZZA_PERSON_ERROR

    public static final int XP_SEC_FORTEZZA_PERSON_ERROR

See Also:
  Constant Field Values

### SEC_ERROR_NO_KRL

    public static final int SEC_ERROR_NO_KRL

See Also:
  Constant Field Values

### SEC_ERROR_KRL_EXPIRED

    public static final int SEC_ERROR_KRL_EXPIRED

See Also:
  Constant Field Values

### SEC_ERROR_KRL_BAD_SIGNATURE

    public static final int SEC_ERROR_KRL_BAD_SIGNATURE

See Also:
  Constant Field Values

### SEC_ERROR_REVOKED_KEY

    public static final int SEC_ERROR_REVOKED_KEY

See Also:
  Constant Field Values

### SEC_ERROR_KRL_INVALID

    public static final int SEC_ERROR_KRL_INVALID

See Also:
  Constant Field Values

### SEC_ERROR_NEED_RANDOM

    public static final int SEC_ERROR_NEED_RANDOM

See Also:
  Constant Field Values

### SEC_ERROR_NO_MODULE

    public static final int SEC_ERROR_NO_MODULE

See Also:
  Constant Field Values

### SEC_ERROR_NO_TOKEN

    public static final int SEC_ERROR_NO_TOKEN

See Also:
  Constant Field Values

### SEC_ERROR_READ_ONLY

    public static final int SEC_ERROR_READ_ONLY

See Also:
  Constant Field Values

### SEC_ERROR_NO_SLOT_SELECTED

    public static final int SEC_ERROR_NO_SLOT_SELECTED

See Also:
  Constant Field Values

### SEC_ERROR_CERT_NICKNAME_COLLISION

    public static final int SEC_ERROR_CERT_NICKNAME_COLLISION

See Also:
  Constant Field Values

### SEC_ERROR_KEY_NICKNAME_COLLISION

    public static final int SEC_ERROR_KEY_NICKNAME_COLLISION

See Also:
  Constant Field Values

### SEC_ERROR_SAFE_NOT_CREATED

    public static final int SEC_ERROR_SAFE_NOT_CREATED

See Also:
  Constant Field Values

### SEC_ERROR_BAGGAGE_NOT_CREATED

    public static final int SEC_ERROR_BAGGAGE_NOT_CREATED

See Also:
  Constant Field Values

### XP_JAVA_REMOVE_PRINCIPAL_ERROR

    public static final int XP_JAVA_REMOVE_PRINCIPAL_ERROR

See Also:
  Constant Field Values

### XP_JAVA_DELETE_PRIVILEGE_ERROR

    public static final int XP_JAVA_DELETE_PRIVILEGE_ERROR

See Also:
  Constant Field Values

### XP_JAVA_CERT_NOT_EXISTS_ERROR

    public static final int XP_JAVA_CERT_NOT_EXISTS_ERROR

See Also:
  Constant Field Values

### SEC_ERROR_BAD_EXPORT_ALGORITHM

    public static final int SEC_ERROR_BAD_EXPORT_ALGORITHM

See Also:
  Constant Field Values

### SEC_ERROR_EXPORTING_CERTIFICATES

    public static final int SEC_ERROR_EXPORTING_CERTIFICATES

See Also:
  Constant Field Values

### SEC_ERROR_IMPORTING_CERTIFICATES

    public static final int SEC_ERROR_IMPORTING_CERTIFICATES

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_DECODING_PFX

    public static final int SEC_ERROR_PKCS12_DECODING_PFX

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_INVALID_MAC

    public static final int SEC_ERROR_PKCS12_INVALID_MAC

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNSUPPORTED_MAC_ALGORITHM

    public static final int SEC_ERROR_PKCS12_UNSUPPORTED_MAC_ALGORITHM

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNSUPPORTED_TRANSPORT_MODE

    public static final int SEC_ERROR_PKCS12_UNSUPPORTED_TRANSPORT_MODE

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_CORRUPT_PFX_STRUCTURE

    public static final int SEC_ERROR_PKCS12_CORRUPT_PFX_STRUCTURE

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNSUPPORTED_PBE_ALGORITHM

    public static final int SEC_ERROR_PKCS12_UNSUPPORTED_PBE_ALGORITHM

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNSUPPORTED_VERSION

    public static final int SEC_ERROR_PKCS12_UNSUPPORTED_VERSION

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_PRIVACY_PASSWORD_INCORRECT

    public static final int SEC_ERROR_PKCS12_PRIVACY_PASSWORD_INCORRECT

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_CERT_COLLISION

    public static final int SEC_ERROR_PKCS12_CERT_COLLISION

See Also:
  Constant Field Values

### SEC_ERROR_USER_CANCELLED

    public static final int SEC_ERROR_USER_CANCELLED

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_DUPLICATE_DATA

    public static final int SEC_ERROR_PKCS12_DUPLICATE_DATA

See Also:
  Constant Field Values

### SEC_ERROR_MESSAGE_SEND_ABORTED

    public static final int SEC_ERROR_MESSAGE_SEND_ABORTED

See Also:
  Constant Field Values

### SEC_ERROR_INADEQUATE_KEY_USAGE

    public static final int SEC_ERROR_INADEQUATE_KEY_USAGE

See Also:
  Constant Field Values

### SEC_ERROR_INADEQUATE_CERT_TYPE

    public static final int SEC_ERROR_INADEQUATE_CERT_TYPE

See Also:
  Constant Field Values

### SEC_ERROR_CERT_ADDR_MISMATCH

    public static final int SEC_ERROR_CERT_ADDR_MISMATCH

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNABLE_TO_IMPORT_KEY

    public static final int SEC_ERROR_PKCS12_UNABLE_TO_IMPORT_KEY

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_IMPORTING_CERT_CHAIN

    public static final int SEC_ERROR_PKCS12_IMPORTING_CERT_CHAIN

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNABLE_TO_LOCATE_OBJECT_BY_NAME

    public static final int SEC_ERROR_PKCS12_UNABLE_TO_LOCATE_OBJECT_BY_NAME

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNABLE_TO_EXPORT_KEY

    public static final int SEC_ERROR_PKCS12_UNABLE_TO_EXPORT_KEY

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNABLE_TO_WRITE

    public static final int SEC_ERROR_PKCS12_UNABLE_TO_WRITE

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_UNABLE_TO_READ

    public static final int SEC_ERROR_PKCS12_UNABLE_TO_READ

See Also:
  Constant Field Values

### SEC_ERROR_PKCS12_KEY_DATABASE_NOT_INITIALIZED

    public static final int SEC_ERROR_PKCS12_KEY_DATABASE_NOT_INITIALIZED

See Also:
  Constant Field Values

### SEC_ERROR_KEYGEN_FAIL

    public static final int SEC_ERROR_KEYGEN_FAIL

See Also:
  Constant Field Values

### SEC_ERROR_INVALID_PASSWORD

    public static final int SEC_ERROR_INVALID_PASSWORD

See Also:
  Constant Field Values

### SEC_ERROR_RETRY_OLD_PASSWORD

    public static final int SEC_ERROR_RETRY_OLD_PASSWORD

See Also:
  Constant Field Values

### SEC_ERROR_BAD_NICKNAME

    public static final int SEC_ERROR_BAD_NICKNAME

See Also:
  Constant Field Values

### SEC_ERROR_NOT_FORTEZZA_ISSUER

    public static final int SEC_ERROR_NOT_FORTEZZA_ISSUER

  Deprecated. As of NSS 3.11, FORTEZZA is no longer supported. SEC_ERROR_NOT_FORTEZZA_ISSUER is a placeholder for backward compatibility.
  See Also:
    Constant Field Values

### SEC_ERROR_CANNOT_MOVE_SENSITIVE_KEY

    public static final int SEC_ERROR_CANNOT_MOVE_SENSITIVE_KEY

See Also:
  Constant Field Values

### SEC_ERROR_JS_INVALID_MODULE_NAME

    public static final int SEC_ERROR_JS_INVALID_MODULE_NAME

See Also:
  Constant Field Values

### SEC_ERROR_JS_INVALID_DLL

    public static final int SEC_ERROR_JS_INVALID_DLL

See Also:
  Constant Field Values

### SEC_ERROR_JS_ADD_MOD_FAILURE

    public static final int SEC_ERROR_JS_ADD_MOD_FAILURE

See Also:
  Constant Field Values

### SEC_ERROR_JS_DEL_MOD_FAILURE

    public static final int SEC_ERROR_JS_DEL_MOD_FAILURE

See Also:
  Constant Field Values

### SEC_ERROR_OLD_KRL

    public static final int SEC_ERROR_OLD_KRL

See Also:
  Constant Field Values

### SEC_ERROR_CKL_CONFLICT

    public static final int SEC_ERROR_CKL_CONFLICT

See Also:
  Constant Field Values

### SEC_ERROR_CERT_NOT_IN_NAME_SPACE

    public static final int SEC_ERROR_CERT_NOT_IN_NAME_SPACE

See Also:
  Constant Field Values

### SEC_ERROR_KRL_NOT_YET_VALID

    public static final int SEC_ERROR_KRL_NOT_YET_VALID

See Also:
  Constant Field Values

### SEC_ERROR_CRL_NOT_YET_VALID

    public static final int SEC_ERROR_CRL_NOT_YET_VALID

See Also:
  Constant Field Values

### SEC_ERROR_UNKNOWN_CERT

    public static final int SEC_ERROR_UNKNOWN_CERT

See Also:
  Constant Field Values

### SEC_ERROR_UNKNOWN_SIGNER

    public static final int SEC_ERROR_UNKNOWN_SIGNER

See Also:
  Constant Field Values

### SEC_ERROR_CERT_BAD_ACCESS_LOCATION

    public static final int SEC_ERROR_CERT_BAD_ACCESS_LOCATION

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_UNKNOWN_RESPONSE_TYPE

    public static final int SEC_ERROR_OCSP_UNKNOWN_RESPONSE_TYPE

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_BAD_HTTP_RESPONSE

    public static final int SEC_ERROR_OCSP_BAD_HTTP_RESPONSE

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_MALFORMED_REQUEST

    public static final int SEC_ERROR_OCSP_MALFORMED_REQUEST

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_SERVER_ERROR

    public static final int SEC_ERROR_OCSP_SERVER_ERROR

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_TRY_SERVER_LATER

    public static final int SEC_ERROR_OCSP_TRY_SERVER_LATER

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_REQUEST_NEEDS_SIG

    public static final int SEC_ERROR_OCSP_REQUEST_NEEDS_SIG

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_UNAUTHORIZED_REQUEST

    public static final int SEC_ERROR_OCSP_UNAUTHORIZED_REQUEST

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_UNKNOWN_RESPONSE_STATUS

    public static final int SEC_ERROR_OCSP_UNKNOWN_RESPONSE_STATUS

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_UNKNOWN_CERT

    public static final int SEC_ERROR_OCSP_UNKNOWN_CERT

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_NOT_ENABLED

    public static final int SEC_ERROR_OCSP_NOT_ENABLED

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_NO_DEFAULT_RESPONDER

    public static final int SEC_ERROR_OCSP_NO_DEFAULT_RESPONDER

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_MALFORMED_RESPONSE

    public static final int SEC_ERROR_OCSP_MALFORMED_RESPONSE

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_UNAUTHORIZED_RESPONSE

    public static final int SEC_ERROR_OCSP_UNAUTHORIZED_RESPONSE

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_FUTURE_RESPONSE

    public static final int SEC_ERROR_OCSP_FUTURE_RESPONSE

See Also:
  Constant Field Values

### SEC_ERROR_OCSP_OLD_RESPONSE

    public static final int SEC_ERROR_OCSP_OLD_RESPONSE

See Also:
  Constant Field Values

### SEC_ERROR_DIGEST_NOT_FOUND

    public static final int SEC_ERROR_DIGEST_NOT_FOUND

See Also:
  Constant Field Values

### SEC_ERROR_UNSUPPORTED_MESSAGE_TYPE

    public static final int SEC_ERROR_UNSUPPORTED_MESSAGE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### NativeErrcodes

    public NativeErrcodes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD